package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.DietUserPreference
import com.aitrainer.api.repository.diet.DietUserPreferenceRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import java.util.*

@RestController
@RequestMapping("/api")
class DietUserPreferenceController(private val dietUserPreferenceRepository: DietUserPreferenceRepository) {

    @PostMapping("/diet_user_preference")
    fun insert(@RequestBody dietUserPreference: DietUserPreference): ResponseEntity<*> {
        return ResponseEntity.ok().body(dietUserPreferenceRepository.save(dietUserPreference))
    }

    @GetMapping("/diet_user_preference/{dietUserId}")
    fun getByDietUserId(@PathVariable dietUserId: Long): ResponseEntity<List<DietUserPreference>> {
        val list = dietUserPreferenceRepository.findByDietUserId(dietUserId)
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}