package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.Diet
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface DietRepository : JpaRepository<Diet, Long> {
    fun findByDietUserId(dietUserId: Long): List<Diet>

    @Query(" FROM Diet WHERE dietId = :dietId")
    fun findByDietId(dietId: Long): Diet?
}