package com.aitrainer.api.test

import com.aitrainer.api.controller.ProductController
import com.aitrainer.api.repository.ProductRepository
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals
import kotlin.test.assertTrue

@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class ProductTesting {

    @Autowired
    private lateinit var productRepository: ProductRepository


    @Test
    fun testGetProducts() {
        val controller = ProductController(productRepository)
        val response = controller.getAllProducts()

        val products = response.body

        assertTrue(products is List)
        assertTrue(products.isNotEmpty())
        assertEquals(products.size, 18)
        assertEquals(products[0].name, "Subscription A")
        assertEquals(products[0].productIdIos, "p_ios_1")
        assertEquals(products[0].productIdAndroid, "p_android_1")
        assertEquals(products[0].priceIos, 990.0)
        assertEquals(products[0].priceAndroid, 970.0)
        assertEquals(products[0].appVersion, "wt")
        assertEquals(products[0].productSet, 1)
        assertEquals(products[0].sort, 3)

    }

}